<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema" xpath-default-namespace="http://www.tei-c.org/ns/1.0"
    exclude-result-prefixes="xs"
    version="2.0">
    
    <xsl:template match="/">
        <html>
            <head>
                <title><xsl:value-of select="//titleStmt/title"/></title>
            </head>
            <body>
                <h1><xsl:value-of select="//titleStmt/title"/></h1>
                <xsl:for-each-group select="//rs[@type='place']"  group-by="substring(@key,1,1)">
                    <xsl:sort/>
                    <h2><xsl:value-of select="current-grouping-key()"/></h2>
                    <ul>
                    <xsl:for-each-group select="current-group()" group-by="@key">
                        <xsl:sort/>
                        <li>
                            <xsl:value-of select="@key"/><br/>
                            <xsl:for-each select="current-group()">
                                p. <xsl:value-of select="preceding::pb[1]/@n"/>
                                <xsl:if test="position() != last()">,</xsl:if>
                            </xsl:for-each>
                        </li>
                    </xsl:for-each-group>
                </ul>
                </xsl:for-each-group>
            </body>
        </html>
    </xsl:template>
    
    
</xsl:stylesheet>