<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema" 
    exclude-result-prefixes="xs" xpath-default-namespace="http://www.tei-c.org/ns/1.0"
    version="2.0">
    
    <xsl:template match="/">
        <html>
            <head>
                <!--Load the AJAX API-->
                <script type="text/javascript" src="https://www.google.com/jsapi"></script>
                <script type="text/javascript">
                    
                    // Load the Visualization API and the piechart package.
                    google.load('visualization', '1.0', {'packages':['corechart']});
                    
                    // Set a callback to run when the Google Visualization API is loaded.
                    google.setOnLoadCallback(drawChart);
                    
                    // Callback that creates and populates a data table,
                    // instantiates the pie chart, passes in the data and
                    // draws it.
                    function drawChart() {
                    
                    // Create the data table.
                    var data = google.visualization.arrayToDataTable([
                    ['Title of the play', 'Number of characters', { role: 'style' }],
                    
                    <!-- select="tei:persName | tei:placeName" -->
                    <xsl:for-each select="collection('shakespeare/comedies/.?select=*.xml') | collection('shakespeare/tragedies/.?select=*.xml') | collection('shakespeare/histories/.?select=*.xml') ">
                           <!-- ['Mushrooms', 6] -->
                           ['<xsl:value-of select="//titleStmt/title" />', 
                        <xsl:value-of select="count(//castItem)"/>, 
                        
                        <xsl:if test="contains(base-uri(root(.)),'comedies')">"red"</xsl:if>
                        <xsl:if test="contains(base-uri(root(.)),'tragedies')">"blue"</xsl:if>
                        <xsl:if test="contains(base-uri(root(.)),'histories')">"yellow"</xsl:if>
                        ],
                       </xsl:for-each>
                    
                    
                    <!--
                        var data = google.visualization.arrayToDataTable([
                    ['Element', 'Density', { role: 'style' }],
                    ['Copper', 8.94, '#b87333'],            // RGB value
                    ['Silver', 10.49, 'silver'],            // English color name
                    ['Gold', 19.30, 'gold'],
                    ['Platinum', 21.45, 'color: #e5e4e2' ], // CSS-style declaration
                    ]);
                    -->
                    
                    ]);
                    
                    // Set chart options
                    var options = {'title':'Number of characters in Shakespeare Plays',
                    'width':400,
                    'height':300};
                    
                    // Instantiate and draw our chart, passing in some options.
                    var chart = new google.visualization.BarChart(document.getElementById('chart_div'));
                    chart.draw(data, options);
                    }
                </script>
            </head>
            
            <body>
                <!--Div that will hold the pie chart-->
                <div id="chart_div"></div>
            </body>
        </html>
    </xsl:template>
    
    
</xsl:stylesheet>